Index: main/trunk/greenstone2/runtime-src/src/recpt/sqlqueryaction.cpp
===================================================================
--- main/trunk/greenstone2/runtime-src/src/recpt/sqlqueryaction.cpp	(revision 28887)
+++ main/trunk/greenstone2/runtime-src/src/recpt/sqlqueryaction.cpp	(revision 28888)
@@ -309,6 +309,8 @@
 	  compressedoptions = to_uni(compressedoptions);
 	}
-
-	disp.setmacro ("decodedcompressedoptions", displayclass::defaultpackage, dm_safe(compressedoptions));
+	
+	text_t dmacrovalue = dm_safe(compressedoptions);
+	disp.setmacro ("decodedcompressedoptions", displayclass::defaultpackage, dmacrovalue);
+	disp.setmacro ("decodedcompressedoptionsAttrsafe", displayclass::defaultpackage, encodeForHTMLAttr(dmacrovalue));
       }
     } // form search
@@ -317,8 +319,4 @@
     logout << "ERROR (sqlqueryaction::get_formatted_query_string): querytype not defined\n";
   }
-
-
-
-
 
 }
